<?php
/**
* The template for displaying all single posts.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="gridsoul-main-wrapper gridsoul-clearfix" id="gridsoul-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="gridsoul-main-wrapper-inside gridsoul-clearfix">

<?php gridsoul_before_main_content(); ?>

<div class="gridsoul-posts-wrapper" id="gridsoul-posts-wrapper">

<?php while (have_posts()) : the_post();

    get_template_part( 'template-parts/content-single' );

    gridsoul_post_navigation();

    gridsoul_post_bottom_widgets();

    if ( !(gridsoul_get_option('hide_comment_form')) ) {

    // If comments are open or we have at least one comment, load up the comment template
    if ( comments_open() || get_comments_number() ) :
            comments_template();
    endif;

    }

endwhile; ?>

<div class="clear"></div>
</div><!--/#gridsoul-posts-wrapper -->

<?php gridsoul_after_main_content(); ?>

</div>
</div>
</div><!-- /#gridsoul-main-wrapper -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>